Bug 1404008

Summary: [abrt] gnome-shell: meta_backend_set_client_pointer_constraint(): gnome-shell killed by SIGABRT
Product: [Fedora] Fedora Reporter: sebby2k <shopper2k>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: fmuellner, otaylor, shopper2k
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/aa1fbe9fc7638e30e9e1698aa245ad308063a4ec
Whiteboard: abrt_hash:ed0e5d28e53e601818d04972a64ff1c8750ba2ca;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:42:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1277927    
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: mountinfo
none
File: namespaces
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description sebby2k 2016-12-12 20:36:53 UTC
Description of problem:
Description of problem:

Existing SDL2 application using wayland backend crashes gnome-shell with the following message in system log:

Dec 12 12:53:53 skyline org.gnome.Shell.desktop[4386]: mutter:ERROR:backends/meta-backend.c:649:meta_backend_set_client_pointer_constraint: assertion failed: (!constraint || !backend->client_pointer_constraint)

How reproducible:

Occationally using running ioquake3.

Steps to Reproduce:

install SDL2 build of ioquake3

http://ioquake3.org/files/jenkins/latest/gcc/no_options/release-linux-x86_64.zip

1. run SDL_VIDEODRIVER=wayland ./ioquake3.x86_64
2. select menu Setup/Settings/Graphics, change Fullscreen between on and off.
3. click Apply settings
4. repeat changing fullscreen setting few times.
5. exit the app

Actual results:

Upon exit from the application, the gnome session is killed.

Expected results:

Application exists successfully.

Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_backend_set_client_pointer_constraint
executable:     /usr/bin/gnome-shell
global_pid:     3998
kernel:         4.8.12-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 meta_backend_set_client_pointer_constraint at backends/meta-backend.c:649
 #5 meta_wayland_pointer_constraint_enable at wayland/meta-wayland-pointer-constraints.c:408
 #6 meta_wayland_pointer_constraint_maybe_enable at wayland/meta-wayland-pointer-constraints.c:523
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 meta_wayland_pointer_set_focus at wayland/meta-wayland-pointer.c:874
 #11 meta_wayland_pointer_end_grab at wayland/meta-wayland-pointer.c:905
 #12 meta_wayland_pointer_constraint_disable at wayland/meta-wayland-pointer-constraints.c:419
 #13 pointer_focus_surface_changed at wayland/meta-wayland-pointer-constraints.c:289
 #14 _g_closure_invoke_va at gclosure.c:867
 #17 meta_wayland_pointer_set_focus at wayland/meta-wayland-pointer.c:874

Comment 1 sebby2k 2016-12-12 20:36:57 UTC
Created attachment 1230909 [details]
File: backtrace

Comment 2 sebby2k 2016-12-12 20:36:58 UTC
Created attachment 1230910 [details]
File: cgroup

Comment 3 sebby2k 2016-12-12 20:36:59 UTC
Created attachment 1230911 [details]
File: core_backtrace

Comment 4 sebby2k 2016-12-12 20:37:01 UTC
Created attachment 1230912 [details]
File: dso_list

Comment 5 sebby2k 2016-12-12 20:37:02 UTC
Created attachment 1230913 [details]
File: environ

Comment 6 sebby2k 2016-12-12 20:37:03 UTC
Created attachment 1230914 [details]
File: limits

Comment 7 sebby2k 2016-12-12 20:37:04 UTC
Created attachment 1230915 [details]
File: maps

Comment 8 sebby2k 2016-12-12 20:37:05 UTC
Created attachment 1230916 [details]
File: mountinfo

Comment 9 sebby2k 2016-12-12 20:37:07 UTC
Created attachment 1230917 [details]
File: namespaces

Comment 10 sebby2k 2016-12-12 20:37:08 UTC
Created attachment 1230918 [details]
File: open_fds

Comment 11 sebby2k 2016-12-12 20:37:09 UTC
Created attachment 1230919 [details]
File: proc_pid_status

Comment 12 sebby2k 2016-12-12 20:37:10 UTC
Created attachment 1230920 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 14:35:47 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:42:18 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.